import { CommonTokenStream } from 'antlr4ts';
import * as lsp from 'vscode-languageserver';
import { Range, TextDocument } from 'vscode-languageserver-textdocument';
import { FlinkSQLParser, ProgramContext } from './lib/FlinkSQLParser';
import { TokenCollection } from './typings';
interface ParseResult {
    origin: string;
    tokenStream: CommonTokenStream;
    parser: FlinkSQLParser;
    tree: ProgramContext;
    errors: lsp.Diagnostic[];
    tokenCollection?: TokenCollection;
}
export declare class ParsingWarehouse {
    private _warehouse;
    setParsingValue(document: TextDocument): void;
    parseDocument(document: TextDocument, range?: Range): ParseResult;
    hasParsingValue(document: TextDocument): boolean;
    getParsingValue(document: TextDocument): ParseResult;
    setTokenCollection(document: TextDocument, tokens: TokenCollection): void;
    removeParsingValue(documentUri: string): void;
}
export {};
